%global __brp_check_rpaths %{nil}
%global packname  racir
%global packver   2.0.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          2.0.0
Release:          1%{?dist}%{?buildtag}
Summary:          Rapid A/Ci Response (RACiR) Data Analysis

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.0.0
Requires:         R-core >= 4.0.0
BuildArch:        noarch
BuildRequires:    R-utils 
BuildRequires:    R-stats 
BuildRequires:    R-graphics 
Requires:         R-utils 
Requires:         R-stats 
Requires:         R-graphics 

%description
Contains functions useful for reading in Licor 6800 files, correcting and
analyzing rapid A/Ci response (RACiR) data. Requires some user interaction
to adjust the calibration (empty chamber) data file to a useable range.
Calibration uses a 1st to 5th order polynomial as suggested in Stinziano
et al. (2017) <doi:10.1111/pce.12911>. Data can be processed individually
or batch processed for all files paired with a given calibration file.
RACiR is a trademark of LI-COR Biosciences, and used with permission.

%prep
%setup -q -c -n %{packname}

find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
